      integer maxnobs,maxnx,maxnh
      parameter(maxnx=30,maxnh=maxnx*10,maxnobs=maxnx*1000)
      integer nx,nh,nobs
      common /annintegers/nx,nh,nobs      

      double precision ysamp(maxnobs),xsamp(maxnobs,maxnx),
     &  betamin(maxnx*maxnh+2*maxnh),
     &  betamax(maxnx*maxnh+2*maxnh)
      common /anndouble/ysamp,xsamp,betamin,betamax
